- name: huawei-cloud
  action: DENY
  # Updated 2025-08-20 from IP addresses for AS136907
  remote_addresses:
    - 1.178.32.0/20
    - 1.178.48.0/20
    - 101.44.0.0/20
    - 101.44.144.0/20
    - 101.44.16.0/20
    - 101.44.160.0/20
    - 101.44.173.0/24
    - 101.44.176.0/20
    - 101.44.192.0/20
    - 101.44.208.0/22
    - 101.44.212.0/22
    - 101.44.216.0/22
    - 101.44.220.0/22
    - 101.44.224.0/22
    - 101.44.228.0/22
    - 101.44.232.0/22
    - 101.44.236.0/22
    - 101.44.240.0/22
    - 101.44.244.0/22
    - 101.44.248.0/22
    - 101.44.252.0/24
    - 101.44.253.0/24
    - 101.44.254.0/24
    - 101.44.255.0/24
    - 101.44.32.0/20
    - 101.44.48.0/20
    - 101.44.64.0/20
    - 101.44.80.0/20
    - 101.44.96.0/20
    - 101.46.0.0/20
    - 101.46.128.0/21
    - 101.46.136.0/21
    - 101.46.144.0/21
    - 101.46.152.0/21
    - 101.46.160.0/21
    - 101.46.168.0/21
    - 101.46.176.0/21
    - 101.46.184.0/21
    - 101.46.192.0/21
    - 101.46.200.0/21
    - 101.46.208.0/21
    - 101.46.216.0/21
    - 101.46.224.0/22
    - 101.46.232.0/22
    - 101.46.236.0/22
    - 101.46.240.0/22
    - 101.46.244.0/22
    - 101.46.248.0/22
    - 101.46.252.0/24
    - 101.46.253.0/24
    - 101.46.254.0/24
    - 101.46.255.0/24
    - 101.46.32.0/20
    - 101.46.48.0/20
    - 101.46.64.0/20
    - 101.46.80.0/20
    - 103.198.203.0/24
    - 103.215.0.0/24
    - 103.215.1.0/24
    - 103.215.3.0/24
    - 103.240.156.0/22
    - 103.240.157.0/24
    - 103.255.60.0/22
    - 103.255.60.0/24
    - 103.255.61.0/24
    - 103.255.62.0/24
    - 103.255.63.0/24
    - 103.40.100.0/23
    - 103.84.110.0/24
    - 110.238.100.0/22
    - 110.238.104.0/21
    - 110.238.112.0/21
    - 110.238.120.0/22
    - 110.238.124.0/22
    - 110.238.64.0/21
    - 110.238.72.0/21
    - 110.238.80.0/20
    - 110.238.96.0/24
    - 110.238.98.0/24
    - 110.238.99.0/24
    - 110.239.127.0/24
    - 110.239.184.0/22
    - 110.239.188.0/23
    - 110.239.190.0/23
    - 110.239.64.0/19
    - 110.239.96.0/19
    - 110.41.208.0/24
    - 110.41.209.0/24
    - 110.41.210.0/24
    - 111.119.192.0/20
    - 111.119.208.0/20
    - 111.119.224.0/20
    - 111.119.240.0/20
    - 111.91.0.0/20
    - 111.91.112.0/20
    - 111.91.16.0/20
    - 111.91.32.0/20
    - 111.91.48.0/20
    - 111.91.64.0/20
    - 111.91.80.0/20
    - 111.91.96.0/20
    - 114.119.128.0/19
    - 114.119.160.0/21
    - 114.119.168.0/24
    - 114.119.169.0/24
    - 114.119.170.0/24
    - 114.119.171.0/24
    - 114.119.172.0/22
    - 114.119.176.0/20
    - 115.30.32.0/20
    - 115.30.48.0/20
    - 119.12.160.0/20
    - 119.13.112.0/20
    - 119.13.160.0/24
    - 119.13.161.0/24
    - 119.13.162.0/23
    - 119.13.163.0/24
    - 119.13.164.0/22
    - 119.13.168.0/21
    - 119.13.168.0/24
    - 119.13.169.0/24
    - 119.13.170.0/24
    - 119.13.172.0/24
    - 119.13.173.0/24
    - 119.13.32.0/22
    - 119.13.36.0/22
    - 119.13.64.0/24
    - 119.13.65.0/24
    - 119.13.66.0/23
    - 119.13.68.0/22
    - 119.13.72.0/22
    - 119.13.76.0/22
    - 119.13.80.0/21
    - 119.13.88.0/22
    - 119.13.92.0/22
    - 119.13.96.0/20
    - 119.8.0.0/21
    - 119.8.128.0/24
    - 119.8.129.0/24
    - 119.8.130.0/23
    - 119.8.132.0/22
    - 119.8.136.0/21
    - 119.8.144.0/20
    - 119.8.160.0/19
    - 119.8.18.0/24
    - 119.8.192.0/20
    - 119.8.192.0/21
    - 119.8.200.0/21
    - 119.8.208.0/20
    - 119.8.21.0/24
    - 119.8.22.0/24
    - 119.8.224.0/24
    - 119.8.227.0/24
    - 119.8.228.0/22
    - 119.8.23.0/24
    - 119.8.232.0/21
    - 119.8.24.0/21
    - 119.8.240.0/23
    - 119.8.242.0/23
    - 119.8.244.0/24
    - 119.8.245.0/24
    - 119.8.246.0/24
    - 119.8.247.0/24
    - 119.8.248.0/24
    - 119.8.249.0/24
    - 119.8.250.0/24
    - 119.8.253.0/24
    - 119.8.254.0/23
    - 119.8.32.0/19
    - 119.8.4.0/24
    - 119.8.64.0/22
    - 119.8.68.0/24
    - 119.8.69.0/24
    - 119.8.70.0/24
    - 119.8.71.0/24
    - 119.8.72.0/21
    - 119.8.8.0/21
    - 119.8.80.0/20
    - 119.8.96.0/19
    - 121.91.152.0/21
    - 121.91.168.0/21
    - 121.91.200.0/21
    - 121.91.200.0/24
    - 121.91.201.0/24
    - 121.91.204.0/24
    - 121.91.205.0/24
    - 122.8.128.0/20
    - 122.8.144.0/20
    - 122.8.160.0/20
    - 122.8.176.0/21
    - 122.8.184.0/22
    - 122.8.188.0/22
    - 124.243.128.0/18
    - 124.243.156.0/24
    - 124.243.157.0/24
    - 124.243.158.0/24
    - 124.243.159.0/24
    - 124.71.248.0/24
    - 124.71.249.0/24
    - 124.71.250.0/24
    - 124.71.252.0/24
    - 124.71.253.0/24
    - 124.81.0.0/20
    - 124.81.112.0/20
    - 124.81.128.0/20
    - 124.81.144.0/20
    - 124.81.16.0/20
    - 124.81.160.0/20
    - 124.81.176.0/20
    - 124.81.192.0/20
    - 124.81.208.0/20
    - 124.81.224.0/20
    - 124.81.240.0/20
    - 124.81.32.0/20
    - 124.81.48.0/20
    - 124.81.64.0/20
    - 124.81.80.0/20
    - 124.81.96.0/20
    - 139.9.98.0/24
    - 139.9.99.0/24
    - 14.137.132.0/22
    - 14.137.136.0/22
    - 14.137.140.0/22
    - 14.137.152.0/24
    - 14.137.153.0/24
    - 14.137.154.0/24
    - 14.137.155.0/24
    - 14.137.156.0/24
    - 14.137.157.0/24
    - 14.137.161.0/24
    - 14.137.163.0/24
    - 14.137.169.0/24
    - 14.137.170.0/23
    - 14.137.172.0/22
    - 146.174.128.0/20
    - 146.174.144.0/20
    - 146.174.160.0/20
    - 146.174.176.0/20
    - 148.145.160.0/20
    - 148.145.192.0/20
    - 148.145.208.0/20
    - 148.145.224.0/23
    - 148.145.234.0/23
    - 148.145.236.0/23
    - 148.145.238.0/23
    - 149.232.128.0/20
    - 149.232.144.0/20
    - 150.40.128.0/20
    - 150.40.144.0/20
    - 150.40.160.0/20
    - 150.40.176.0/20
    - 150.40.182.0/24
    - 150.40.192.0/20
    - 150.40.208.0/20
    - 150.40.224.0/20
    - 150.40.240.0/20
    - 154.220.192.0/19
    - 154.81.16.0/20
    - 154.83.0.0/23
    - 154.86.32.0/20
    - 154.86.48.0/20
    - 154.93.100.0/23
    - 154.93.104.0/23
    - 156.227.22.0/23
    - 156.230.32.0/21
    - 156.230.40.0/21
    - 156.230.64.0/18
    - 156.232.16.0/20
    - 156.240.128.0/18
    - 156.249.32.0/20
    - 156.253.16.0/20
    - 157.254.211.0/24
    - 157.254.212.0/24
    - 159.138.0.0/20
    - 159.138.112.0/21
    - 159.138.114.0/24
    - 159.138.120.0/22
    - 159.138.124.0/24
    - 159.138.125.0/24
    - 159.138.126.0/23
    - 159.138.128.0/20
    - 159.138.144.0/20
    - 159.138.152.0/21
    - 159.138.16.0/22
    - 159.138.160.0/20
    - 159.138.176.0/23
    - 159.138.178.0/24
    - 159.138.179.0/24
    - 159.138.180.0/24
    - 159.138.181.0/24
    - 159.138.182.0/23
    - 159.138.188.0/23
    - 159.138.190.0/23
    - 159.138.192.0/20
    - 159.138.20.0/22
    - 159.138.208.0/21
    - 159.138.216.0/22
    - 159.138.220.0/23
    - 159.138.224.0/20
    - 159.138.24.0/21
    - 159.138.240.0/20
    - 159.138.32.0/20
    - 159.138.48.0/20
    - 159.138.64.0/21
    - 159.138.67.0/24
    - 159.138.76.0/24
    - 159.138.77.0/24
    - 159.138.78.0/24
    - 159.138.79.0/24
    - 159.138.80.0/20
    - 159.138.96.0/20
    - 166.108.192.0/20
    - 166.108.208.0/20
    - 166.108.224.0/20
    - 166.108.240.0/20
    - 176.52.128.0/20
    - 176.52.144.0/20
    - 180.87.192.0/20
    - 180.87.208.0/20
    - 180.87.224.0/20
    - 180.87.240.0/20
    - 182.160.0.0/20
    - 182.160.16.0/24
    - 182.160.17.0/24
    - 182.160.18.0/23
    - 182.160.20.0/22
    - 182.160.20.0/24
    - 182.160.24.0/21
    - 182.160.36.0/22
    - 182.160.49.0/24
    - 182.160.52.0/22
    - 182.160.56.0/21
    - 182.160.56.0/24
    - 182.160.57.0/24
    - 182.160.58.0/24
    - 182.160.59.0/24
    - 182.160.60.0/24
    - 182.160.61.0/24
    - 182.160.62.0/24
    - 183.87.112.0/20
    - 183.87.128.0/20
    - 183.87.144.0/20
    - 183.87.32.0/20
    - 183.87.48.0/20
    - 183.87.64.0/20
    - 183.87.80.0/20
    - 183.87.96.0/20
    - 188.119.192.0/20
    - 188.119.208.0/20
    - 188.119.224.0/20
    - 188.119.240.0/20
    - 188.239.0.0/20
    - 188.239.16.0/20
    - 188.239.32.0/20
    - 188.239.48.0/20
    - 189.1.192.0/20
    - 189.1.208.0/20
    - 189.1.224.0/20
    - 189.1.240.0/20
    - 189.28.112.0/20
    - 189.28.96.0/20
    - 190.92.192.0/19
    - 190.92.224.0/19
    - 190.92.248.0/24
    - 190.92.252.0/24
    - 190.92.253.0/24
    - 190.92.254.0/24
    - 201.77.32.0/20
    - 202.170.88.0/21
    - 202.76.128.0/20
    - 202.76.144.0/20
    - 202.76.160.0/20
    - 202.76.176.0/20
    - 203.123.80.0/20
    - 203.167.20.0/23
    - 203.167.22.0/24
    - 212.34.192.0/20
    - 212.34.208.0/20
    - 213.250.128.0/20
    - 213.250.144.0/20
    - 213.250.160.0/20
    - 213.250.176.0/21
    - 213.250.184.0/21
    - 219.83.0.0/20
    - 219.83.112.0/22
    - 219.83.116.0/23
    - 219.83.118.0/23
    - 219.83.121.0/24
    - 219.83.122.0/24
    - 219.83.123.0/24
    - 219.83.124.0/24
    - 219.83.16.0/20
    - 219.83.32.0/20
    - 219.83.76.0/23
    - 2404:a140:43::/48
    - 2405:f080::/39
    - 2405:f080:1::/48
    - 2405:f080:1000::/39
    - 2405:f080:1200::/39
    - 2405:f080:1400::/48
    - 2405:f080:1401::/48
    - 2405:f080:1402::/48
    - 2405:f080:1403::/48
    - 2405:f080:1500::/40
    - 2405:f080:1600::/48
    - 2405:f080:1602::/48
    - 2405:f080:1603::/48
    - 2405:f080:1800::/39
    - 2405:f080:1800::/44
    - 2405:f080:1810::/48
    - 2405:f080:1811::/48
    - 2405:f080:1812::/48
    - 2405:f080:1813::/48
    - 2405:f080:1814::/48
    - 2405:f080:1815::/48
    - 2405:f080:1900::/40
    - 2405:f080:1e02::/47
    - 2405:f080:1e04::/47
    - 2405:f080:1e06::/47
    - 2405:f080:1e1e::/47
    - 2405:f080:1e20::/47
    - 2405:f080:200::/48
    - 2405:f080:2000::/39
    - 2405:f080:201::/48
    - 2405:f080:202::/48
    - 2405:f080:2040::/48
    - 2405:f080:2200::/39
    - 2405:f080:2280::/48
    - 2405:f080:2281::/48
    - 2405:f080:2282::/48
    - 2405:f080:2283::/48
    - 2405:f080:2284::/48
    - 2405:f080:2285::/48
    - 2405:f080:2286::/48
    - 2405:f080:2287::/48
    - 2405:f080:2288::/48
    - 2405:f080:2289::/48
    - 2405:f080:228a::/48
    - 2405:f080:228b::/48
    - 2405:f080:228c::/48
    - 2405:f080:228d::/48
    - 2405:f080:228e::/48
    - 2405:f080:228f::/48
    - 2405:f080:2400::/39
    - 2405:f080:2600::/39
    - 2405:f080:2800::/48
    - 2405:f080:2a00::/48
    - 2405:f080:2e00::/47
    - 2405:f080:3000::/38
    - 2405:f080:3000::/40
    - 2405:f080:3100::/40
    - 2405:f080:3200::/48
    - 2405:f080:3201::/48
    - 2405:f080:3202::/48
    - 2405:f080:3203::/48
    - 2405:f080:3204::/48
    - 2405:f080:3205::/48
    - 2405:f080:3400::/38
    - 2405:f080:3400::/40
    - 2405:f080:3500::/40
    - 2405:f080:3600::/48
    - 2405:f080:3601::/48
    - 2405:f080:3602::/48
    - 2405:f080:3603::/48
    - 2405:f080:3604::/48
    - 2405:f080:3605::/48
    - 2405:f080:400::/39
    - 2405:f080:4000::/40
    - 2405:f080:4100::/48
    - 2405:f080:4102::/48
    - 2405:f080:4103::/48
    - 2405:f080:4104::/48
    - 2405:f080:4200::/40
    - 2405:f080:4300::/40
    - 2405:f080:600::/48
    - 2405:f080:800::/40
    - 2405:f080:810::/44
    - 2405:f080:a00::/39
    - 2405:f080:a11::/48
    - 2405:f080:e02::/48
    - 2405:f080:e03::/48
    - 2405:f080:e04::/47
    - 2405:f080:e05::/48
    - 2405:f080:e06::/48
    - 2405:f080:e07::/48
    - 2405:f080:e0e::/47
    - 2405:f080:e10::/47
    - 2405:f080:edff::/48
    - 27.106.0.0/20
    - 27.106.112.0/20
    - 27.106.16.0/20
    - 27.106.32.0/20
    - 27.106.48.0/20
    - 27.106.64.0/20
    - 27.106.80.0/20
    - 27.106.96.0/20
    - 27.255.0.0/23
    - 27.255.10.0/23
    - 27.255.12.0/23
    - 27.255.14.0/23
    - 27.255.16.0/23
    - 27.255.18.0/23
    - 27.255.2.0/23
    - 27.255.20.0/23
    - 27.255.22.0/23
    - 27.255.26.0/23
    - 27.255.28.0/23
    - 27.255.30.0/23
    - 27.255.32.0/23
    - 27.255.34.0/23
    - 27.255.36.0/23
    - 27.255.38.0/23
    - 27.255.4.0/23
    - 27.255.40.0/23
    - 27.255.42.0/23
    - 27.255.44.0/23
    - 27.255.46.0/23
    - 27.255.48.0/23
    - 27.255.50.0/23
    - 27.255.52.0/23
    - 27.255.54.0/23
    - 27.255.58.0/23
    - 27.255.6.0/23
    - 27.255.60.0/23
    - 27.255.62.0/23
    - 27.255.8.0/23
    - 42.201.128.0/20
    - 42.201.144.0/20
    - 42.201.160.0/20
    - 42.201.176.0/20
    - 42.201.192.0/20
    - 42.201.208.0/20
    - 42.201.224.0/20
    - 42.201.240.0/20
    - 43.225.140.0/22
    - 43.255.104.0/22
    - 45.194.104.0/21
    - 45.199.144.0/22
    - 45.202.128.0/19
    - 45.202.160.0/20
    - 45.202.176.0/21
    - 45.202.184.0/21
    - 45.203.40.0/21
    - 46.250.160.0/20
    - 46.250.176.0/20
    - 49.0.192.0/21
    - 49.0.200.0/21
    - 49.0.224.0/22
    - 49.0.228.0/22
    - 49.0.232.0/21
    - 49.0.240.0/20
    - 62.245.0.0/20
    - 62.245.16.0/20
    - 80.238.128.0/22
    - 80.238.132.0/22
    - 80.238.136.0/22
    - 80.238.140.0/22
    - 80.238.144.0/22
    - 80.238.148.0/22
    - 80.238.152.0/22
    - 80.238.156.0/22
    - 80.238.164.0/22
    - 80.238.164.0/24
    - 80.238.165.0/24
    - 80.238.168.0/22
    - 80.238.168.0/24
    - 80.238.169.0/24
    - 80.238.170.0/24
    - 80.238.171.0/24
    - 80.238.172.0/22
    - 80.238.176.0/22
    - 80.238.180.0/24
    - 80.238.181.0/24
    - 80.238.183.0/24
    - 80.238.184.0/24
    - 80.238.185.0/24
    - 80.238.186.0/24
    - 80.238.190.0/24
    - 80.238.192.0/20
    - 80.238.208.0/20
    - 80.238.224.0/20
    - 80.238.240.0/20
    - 83.101.0.0/21
    - 83.101.104.0/21
    - 83.101.16.0/21
    - 83.101.24.0/21
    - 83.101.32.0/21
    - 83.101.48.0/21
    - 83.101.56.0/23
    - 83.101.58.0/23
    - 83.101.64.0/21
    - 83.101.72.0/21
    - 83.101.8.0/23
    - 83.101.80.0/21
    - 83.101.88.0/24
    - 83.101.89.0/24
    - 83.101.96.0/21
    - 87.119.12.0/24
    - 89.150.192.0/20
    - 89.150.208.0/20
    - 94.244.128.0/20
    - 94.244.144.0/20
    - 94.244.160.0/20
    - 94.244.176.0/20
    - 94.45.160.0/19
    - 94.45.160.0/24
    - 94.45.161.0/24
    - 94.45.163.0/24
    - 94.74.112.0/21
    - 94.74.120.0/21
    - 94.74.64.0/20
    - 94.74.80.0/20
    - 94.74.96.0/20
